package domain

type AlibabaHmMarketingItempoolAdditemMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   报名活动成功的商品详情     */
	Data *AlibabaHmMarketingItempoolAdditemItemPoolSku `json:"data,omitempty" `

	/*
	   是否报名成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItempoolAdditemMarketResult) SetMessage(v string) *AlibabaHmMarketingItempoolAdditemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolAdditemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemMarketResult) SetData(v AlibabaHmMarketingItempoolAdditemItemPoolSku) *AlibabaHmMarketingItempoolAdditemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolAdditemMarketResult {
	s.Success = &v
	return s
}
